Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class ExchangeRate1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.ExchangeRate1

public class ExchangeRate1 extends Object

Java class for ExchangeRate1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExchangeRate1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="UnitCcy" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             <element name="XchgRate" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}BaseOneRate" minOccurs="0"/>
             <element name="RateTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ExchangeRateType1Code" minOccurs="0"/>
             <element name="CtrctId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ctrctId`
`protected ExchangeRateType1Code`
`rateTp`
`protected String`
`unitCcy`
`protected BigDecimal`
`xchgRate`

## Constructor Summary

Constructors
Constructor
Description
`ExchangeRate1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCtrctId()`
Gets the value of the ctrctId property.
`ExchangeRateType1Code`
`getRateTp()`
Gets the value of the rateTp property.
`String`
`getUnitCcy()`
Gets the value of the unitCcy property.
`BigDecimal`
`getXchgRate()`
Gets the value of the xchgRate property.
`void`
`setCtrctId(String value)`
Sets the value of the ctrctId property.
`void`
`setRateTp(ExchangeRateType1Code value)`
Sets the value of the rateTp property.
`void`
`setUnitCcy(String value)`
Sets the value of the unitCcy property.
`void`
`setXchgRate(BigDecimal value)`
Sets the value of the xchgRate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### unitCcy

protected String unitCcy

### xchgRate

protected BigDecimal xchgRate

### rateTp

protected ExchangeRateType1Code rateTp

### ctrctId

protected String ctrctId

## Constructor Details

### ExchangeRate1

public ExchangeRate1()

## Method Details

### getUnitCcy

public String getUnitCcy()
Gets the value of the unitCcy property.

Returns:
  possible object is `String`

### setUnitCcy

public void setUnitCcy(String value)
Sets the value of the unitCcy property.

Parameters:
  `value` - allowed object is `String`

### getXchgRate

public BigDecimal getXchgRate()
Gets the value of the xchgRate property.

Returns:
  possible object is `BigDecimal`

### setXchgRate

public void setXchgRate(BigDecimal value)
Sets the value of the xchgRate property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getRateTp

public ExchangeRateType1Code getRateTp()
Gets the value of the rateTp property.

Returns:
  possible object is `ExchangeRateType1Code`

### setRateTp

public void setRateTp(ExchangeRateType1Code value)
Sets the value of the rateTp property.

Parameters:
  `value` - allowed object is `ExchangeRateType1Code`

### getCtrctId

public String getCtrctId()
Gets the value of the ctrctId property.

Returns:
  possible object is `String`

### setCtrctId

public void setCtrctId(String value)
Sets the value of the ctrctId property.

Parameters:
  `value` - allowed object is `String`